=== debian/changelog ===
ltrace (0.3.8) unstable; urgency=low

  * glibc-2.1 does no longer need `_GNU_SOURCE' defined to use <getopt.h>
  * Changed description of package; adopted Red Hat's one
    (thanks to whoever wrote it)
  * Close all the file descriptors used before executing program (close-on-exec)
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Used GNU autoconf instead of "uname" to guess host system type
  * Install man page in /usr/share/man instead of /usr/man
  * Added a few functions to /etc/ltrace.conf
  * Updated list of syscalls and signals to linux-2.2.12
  * Fixed bugs in C++ demangle (Morten Eriksen <mortene@sim.no>)
  * New Standards-Version: 3.0.1 (but keeping docs in /usr/doc)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 30 Aug 1999 19:34:47 +0200

ltrace (0.3.7) unstable; urgency=low

  * Minor fixes
  * Added minor patch from Alex Buell <alex.buell@tahallah.demon.co.uk>
    to be able to compile under glibc 2.1
  * Additions to config file from David Dyck <dcd@tc.fluke.com>
  * Clean-up Makefile a bit
  * Changed `LT_PT_*' with `ARGTYPE_*'
  * Display '\\' instead of '\'
  * Updated list of syscalls and signals to linux-2.2.5
  * Compiled against glibc-2.1

 -- Juan Cespedes <cespedes@debian.org>  Sat,  3 Apr 1999 03:21:50 +0200

ltrace (0.3.6) unstable; urgency=low

  * Added m68k port (Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>) (Bug#27075)
  * Changed "int pid" with "pid_t pid" everywhere
  * Fixed return type of some functions from "int" to "void *" (thanks, Roman)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 25 Sep 1998 14:48:37 +0200

ltrace (0.3.5) unstable; urgency=low

  * Added ARMLinux port (Pat Beirne <pbeirne@home.com>) (Bug#27040)
  * Fixed minor things in options.c

 -- Juan Cespedes <cespedes@debian.org>  Thu, 24 Sep 1998 13:18:01 +0200

ltrace (0.3.4) unstable; urgency=low

  * Added "ltrace.spec" to build a .rpm binary file.
  * Added "-r" option

 -- Juan Cespedes <cespedes@debian.org>  Sun, 20 Sep 1998 21:22:05 +0200

ltrace (0.3.3) unstable; urgency=low

  * Fixed a little bug in display_string
  * A few more functions added to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Sun,  6 Sep 1998 14:03:10 +0200

ltrace (0.3.2) unstable; urgency=low

  * Make the output line-buffered (Bug#22874)
  * New Standards-Version (2.4.1)
  * Make it compile cleanly with glibc 2.0.7

 -- Juan Cespedes <cespedes@debian.org>  Tue, 14 Jul 1998 13:45:24 +0200

ltrace (0.3.1) frozen unstable; urgency=low

  * setgid programs had their uid and gid swapped!  Fixed.

 -- Juan Cespedes <cespedes@debian.org>  Wed, 29 Apr 1998 19:25:11 +0200

ltrace (0.3.0) unstable; urgency=low

  * Preliminary autoconf support
  * Switched to getopt()
  * New option: -C (demangle C++ names)
  * New options: --help, --version
  * Display "format" (printf-like) argument types
  * Updated manual page
  * New option: -e

 -- Juan Cespedes <cespedes@debian.org>  Sat, 25 Apr 1998 14:21:59 +0200

ltrace (0.2.9) frozen unstable; urgency=low

  * Bug#20616 wasn't completely fixed; it didn't work with some programs (Fixed)
  * Stopping ltrace with ^C DIDN'T WORK if -p option is not used!! (Fixed)
  * Option -f caused program to segfault; fixed
  * Fixed nasty bug about executing set[ug]id binaries:
    When executing a program fails, don't left the program STOPPED.
  * Make ltrace work with all setuid and setgid binaries when invoked as root

 -- Juan Cespedes <cespedes@debian.org>  Sat, 11 Apr 1998 22:50:38 +0200

ltrace (0.2.8) frozen unstable; urgency=low

  * Fix important bug regarding -p: disable all breakpoints on exit (Bug#20616)
  * Compile cleanly on libc5
  * Added `-t' option (Bug#20615)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  4 Apr 1998 08:34:03 +0200

ltrace (0.2.7) unstable; urgency=low

  * Some minor fixes

 -- Juan Cespedes <cespedes@debian.org>  Sun, 15 Mar 1998 14:01:40 +0100

ltrace (0.2.6) unstable; urgency=low

  * Option `-f' now works (but it fails to attach some processes...)
  * Output is now more similar to strace's

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Mar 1998 20:50:16 +0100

ltrace (0.2.5) unstable; urgency=low

  * After a successful execve(), library calls are now logged
  * Enhanced displaying of non-printable chars
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 19:16:47 +0100

ltrace (0.2.4) unstable; urgency=low

  * Option `-p' now works (but programs fail when ltrace is interrupted)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 00:29:10 +0100

ltrace (0.2.3) unstable; urgency=low

  * Don't display `...' in strings when limit of bytes is reached
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 23:33:14 +0100

ltrace (0.2.2) unstable; urgency=low

  * After a successful execve(), syscalls are now logged correctly

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 00:02:35 +0100

ltrace (0.2.1) unstable; urgency=low

  * Added -u option (run command as other username)
  * Updated manual page a bit

 -- Juan Cespedes <cespedes@debian.org>  Tue, 10 Mar 1998 00:08:38 +0100

ltrace (0.2.0) unstable; urgency=low

  * First `unstable' release
  * Complete re-structured all the code to be able to add support for
    different architectures (but only i386 arch is supported in this
    version)
  * Log also return values
  * Log arguments (and return values) for syscalls
  * Added preliminary support for various simultaneous processes
  * getopt-like options
  * New option: -a (alignment column)
  * New option: -L (don't display library calls)
  * New option: -s (maximum # of chars in strings)
  * Now it reads config files with function names and parameter types
  * Programs using clone() should work ok now
  * debian/rules: gzipped only big files in /usr/doc/ltrace
  * New Standards-Version: 2.4.0.0
  * beginning to work on sparc port (not yet done)


