=== debian/control ===
Source: ltrace
Section: utils
Priority: optional
Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 3.0.1

Package: ltrace
Architecture: i386 arm m68k
Depends: ${shlibs:Depends}
Description: Shows runtime library call information for dynamically linked executables
 ltrace is a program that simply runs the specified command until it exits.
 It intercepts and records the dynamic library calls which are called by
 the executed process and the signals which are received by that process.
 It can also intercept and print the system calls executed by the program.
 .
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have the source handy.
